Subject: [pcp] Same vs different port

From: Alper Yegin <[email-masked]>
Date: Fri, 21 Sep 2012 19:36:43 +0300

Hello,

I didn't want to use precious CC time on this, but I'm under the impression that the reasons used for ruling out running PANA and PCP over their dedicated ports are not plausible. 

I wasn't on the jabber at previous IETF, so maybe I missed some of the discussions. But from today's discussion, here's what I heard:

Following points were raised about running PANA and PCP over their dedicated ports (as opposed to running both over the PCP port):

1. Binding
2. Server discovery
3. Management 
Anything else?

For (1) binding, whether it's crypto-binding, or state-binding, whatever you call it -- one does not have to run the two protocols on the same port to achieve any of that. In fact, it is achieved thru use of common identifiers. The authenticated entity is provided a "session id" which gets used over PCP to indicate who the sender is. 

Using the same port is irrelevant.

For (2) server discovery, we're going with the PAA and PCP Server running on the same node assumption. However PCP server is discovered automatically reveals where the PAA is. Using the same port does not add any value here.

For (3) Stuart made a reference to complications, but I'd appreciate some more elaboration. 

Comments appreciated.

Alper